Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.task.pf
Class ClearRouteTaskMessage

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
              jp.ac.nagoyau.is.ss.kishii.suntori.message.task.pf.PoliceForceTaskMessage
                  jp.ac.nagoyau.is.ss.kishii.suntori.message.task.pf.ClearRouteTaskMessage

All Implemented Interfaces:
  IMessage, ITaskMessage

    public class ClearRouteTaskMessage

extends PoliceForceTaskMessage

The ClearRouteTaskMessage represent the message that command to clear roads.
This class instruct PF to secure a route from area A to area B.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`ClearRouteTaskMessage(int time, rescuecore2.worldmodel.EntityID ownerID, rescuecore2.worldmodel.EntityID pfID, rescuecore2.worldmodel.EntityID departure, rescuecore2.worldmodel.EntityID destination)` Constructor
`ClearRouteTaskMessage(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`rescuecore2.worldmodel.EntityID` | `getDepartureAreaID()` EntityID of daparture area
`rescuecore2.worldmodel.EntityID` | `getDestinationAreaID()` EntityID of destination area

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.task.pf.PoliceForceTaskMessage
`getAssignedAgentID`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
`getMessageOwnerID, setEntityIDListData`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClearRouteTaskMessage

    public ClearRouteTaskMessage(int time,
                                 rescuecore2.worldmodel.EntityID ownerID,
                                 rescuecore2.worldmodel.EntityID pfID,
                                 rescuecore2.worldmodel.EntityID departure,
                                 rescuecore2.worldmodel.EntityID destination)

  ## Constructor

  Create the message to order to clear route.
  Included data are follow.
  - time:the time that the message is created.(int)
  - ownerID:EntityID of the agent that sent this message.
  - pfID:EntityID of PF that is ordered to do.

  ## Constructor

  Create the message to order fight fires to FB.
  Included data are follow.
  - time:the time that the message is created.(int)
  - ownerID:EntityID of the agent that sent this message.
  - fbID:EntityID of FB that is ordered to do.
  - departure:departure of the route
  - destination:destination of the route

  Parameters:
    `time` - step num
    `ownerID` - EntityID of the agent that sent this message.
    `pfID` - EntityID of PF
    `departure` - EntityID of departure area
    `destination` - EntityID of the destination area

### ClearRouteTaskMessage

    public ClearRouteTaskMessage(java.util.List<java.lang.Integer> bitList,
                                 int offset,
                                 java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getDepartureAreaID

    public rescuecore2.worldmodel.EntityID getDepartureAreaID()

  EntityID of daparture area

  Returns:
    EntityID of area

### getDestinationAreaID

    public rescuecore2.worldmodel.EntityID getDestinationAreaID()

  EntityID of destination area

  Returns:
    EntityID of area

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD